const CacheBase=require("../cache.base");
const system=require("../../system");
class BusinessAllotCache extends CacheBase{
   constructor(){
     super();
     this.prefix="fqbusiness_allot:";
   }
   async delCache(){
     const key=this.prefix+"_all";
     await this.redisClient.delete(key);
   }
   async setBusinessAllotList(obj){
       const key=this.prefix+"_all";
       await this.redisClient.set(key,obj);
       return obj;
   }
   async getBusinessAllotListByCache(){
     const key=this.prefix+"_all";
     var cachedVal= await this.redisClient.get(key);
     if(cachedVal){
       return cachedVal;
     }else{
         return null;
       }
   }
}
module.exports=BusinessAllotCache;
